| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
ccan_18xx_43xx.c File Reference
`#include "chip.h"`

Go to the source code of this file.

## Macros
#define | MAX_OBJECT 32
#define | CHIP_CCAN_DETERMINECLK(n) (((n) == LPC_C_CAN0) ? CLK_APB3_CAN0 : CLK_APB1_CAN1)

## Functions
static uint8_t | getFreeMsgObject (LPC_CCAN_T *pCCAN)
static void | Free_msg_object (LPC_CCAN_T *pCCAN, uint8_t msg_num)
void | Chip_CCAN_SetBitRate (LPC_CCAN_T *pCCAN, uint32_t bitRate)
| Select bit rate for CCAN bus.
void | Chip_CCAN_Send (LPC_CCAN_T *pCCAN, uint32_t RemoteEnable, message_object *msg_ptr)
| Send a message.
void | Chip_CCAN_Init (LPC_CCAN_T *pCCAN)
| Initialize the CCAN peripheral, free all message object in RAM.
void | Chip_CCAN_DeInit (LPC_CCAN_T *pCCAN)
| De-initialize the CCAN peripheral.
void | Chip_CCAN_AddReceiveID (LPC_CCAN_T *pCCAN, uint32_t rev_id)
| Register a message ID for receiving.
void | Chip_CCAN_DeleteReceiveID (LPC_CCAN_T *pCCAN, uint32_t rev_id)
| Remove a registered message ID from receiving.
void | Chip_CCAN_ClearIntPend (LPC_CCAN_T *pCCAN, uint8_t msg_num, uint8_t TRxMode)
| Clear the pending interrupt.
void | Chip_CCAN_ClearStatus (LPC_CCAN_T *pCCAN, IP_CCAN_STATUS_T status)
| Clear the status of CCAN bus.

## Macro Definition Documentation

#define CHIP_CCAN_DETERMINECLK | ( |  | n | ) | (((n) == LPC_C_CAN0) ? CLK_APB3_CAN0 : CLK_APB1_CAN1)

Definition at line 39 of file ccan_18xx_43xx.c.

#define MAX_OBJECT 32

Definition at line 38 of file ccan_18xx_43xx.c.

## Function Documentation

static void Free_msg_object | ( | LPC_CCAN_T * | pCCAN,
|  | uint8_t | msg_num
| ) |  |
| static

Definition at line 63 of file ccan_18xx_43xx.c.

static uint8_t getFreeMsgObject | ( | LPC_CCAN_T * | pCCAN | ) |
| static

Definition at line 50 of file ccan_18xx_43xx.c.